/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rest.student;

import java.util.LinkedList;
import java.util.List;
import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import model.Student;

/**
 *
 * @author student
 */
@Path("student")
public class StudentRest {
    private static List<Student> studenti = new LinkedList<>();
    
    
    @POST
    @Path("sacuvaj")
    @Consumes(MediaType.APPLICATION_XML)
    @Produces(MediaType.TEXT_PLAIN)
    public String dodajStudenta(Student student) {
        // Provera da li postoji student sa tim bi
        if (studenti.contains(student)) {
            return "Student sa tim indeksom vec postoji!";
        }
        studenti.add(student);
        return "Dodat je student!";
    }
    
    @GET
    @Path("vrati_sve")
    @Produces(MediaType.APPLICATION_XML)
    public List<Student> vratiStudente() {
        return studenti;
    }
    
    @DELETE
    @Path("obrisi/{bi}")
    public String obrisiStudenta(@PathParam("bi") String bi) {
        Student s = null;
        for (Student st : studenti) {
            if (st.getBi().equals(bi)) {
                s = st;
                break;
            }
        }
        if (s != null) {
            studenti.remove(s);
            return "Student je obrisan";
        }
        return "Student nije pronadjen";
    }
}
